Get all stub mappings
curl --request GET \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/mappings \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/mappings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total": 2
},
"mappings": [
{
"id": "76ada7b0-49ae-4229-91c4-396a36f18e09",
"uuid": "76ada7b0-49ae-4229-91c4-396a36f18e09",
"request": {
"method": "GET",
"url": "/search?q=things",
"headers": {
"Accept": {
"equalTo": "application/json"
}
}
},
"response": {
"status": 200,
"jsonBody": [
"thing1",
"thing2"
],
"headers": {
"Content-Type": "application/json"
}
}
},
{
"request": {
"method": "POST",
"urlPath": "/some/things",
"bodyPatterns": [
{
"equalToXml": "<stuff />"
}
]
},
"response": {
"status": 201
}
}
]
}Stub Mappings
Get all stub mappings
GET
/
v1
/
mock-apis
/
{mockApiId}
/
mappings
Get all stub mappings
Path Parameters
The ID of the Mock API
Required string length:
5 - 10Example:
"jjl8y"
Query Parameters
The maximum number of results to return
The start index of the results to return
⌘I